language: go
go_import_path: github.com/ethereum/go-ethereum
sudo: false
matrix:
  include:
    - os: linux
      dist: trusty
      go: 1.5.4
      env:
        - GO15VENDOREXPERIMENT=1
    - os: linux
      dist: trusty
      go: 1.6.2
    - os: linux
      dist: trusty
      go: 1.7
    - os: osx
      go: 1.7

    # This builder does the Ubuntu PPA and Linux Azure uploads
    - os: linux
      dist: trusty
      go: 1.7
      env:
        - ubuntu-ppa
        - azure-linux
      addons:
        apt:
          packages:
            - gcc-multilib
            - devscripts
            - debhelper
            - dput
      script:
        - go run build/ci.go debsrc -signer "Felix Lange (Geth CI Testing Key) <fjl@twurst.com>" -upload ppa:lp-fjl/geth-ci-testing
        - go run build/ci.go install
        - go run build/ci.go archive -type tar -signer LINUX_SIGNING_KEY -upload gethstore/builds
        - go run build/ci.go install -arch 386
        - go run build/ci.go archive -arch 386 -type tar -signer LINUX_SIGNING_KEY -upload gethstore/builds

    # This builder does the OSX Azure uploads
    - os: osx
      go: 1.7
      env:
        - azure-osx
      script:
        - go run build/ci.go install
        - go run build/ci.go archive -type tar -signer OSX_SIGNING_KEY -upload gethstore/builds

install:
  - go get golang.org/x/tools/cmd/cover
script:
  - go run build/ci.go install
  - go run build/ci.go test -coverage -vet

notifications:
  webhooks:
    urls:
      - https://webhooks.gitter.im/e/e09ccdce1048c5e03445
    on_success: change
    on_failure: always
